> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Invoices

> List the current User's Invoices.



## OpenAPI

````yaml openapi/ecommerce.yaml get /public/{user_id}/invoices
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/invoices:
    get:
      tags:
        - Invoice
      summary: List Invoices
      description: List the current User's Invoices.
      operationId: listInvoices
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: qui
        - name: sort
          in: query
          description: >-
            A comma-separated list of fields to sort. Multiple allowed. Prefix
            with `-` to sort descending.
          schema:
            enum:
              - placed_at
            type: string
            description: >-
              A comma-separated list of fields to sort. Multiple allowed. Prefix
              with `-` to sort descending.
            example: placed_at
          example: placed_at
        - name: filter[invoicable_id]
          in: query
          description: ''
          schema:
            type: string
            description: ''
            example: 4cdf32b8-47e2-4714-88b4-9ab307a097f9
          example: 4cdf32b8-47e2-4714-88b4-9ab307a097f9
        - name: filter[invoicable_type]
          in: query
          description: ''
          schema:
            type: string
            description: ''
            example: order
          example: order
        - name: filter[uuid]
          in: query
          description: ''
          schema:
            type: string
            description: ''
            example: 4cdf32b8-47e2-4714-88b4-9ab307a097f9
          example: 4cdf32b8-47e2-4714-88b4-9ab307a097f9
        - name: filter[status]
          in: query
          description: ''
          schema:
            type: string
            description: ''
            example: paid
          example: paid
        - name: filter[placed_at]
          in: query
          description: ''
          schema:
            type: string
            description: ''
            example: '2023-10-07T12:16:27+00:00'
          example: '2023-10-07T12:16:27.0000000+00:00'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                          example: a13651d4-0940-411c-8935-ac80fc3c3ddd
                        reference:
                          type: string
                          example: INV845kv
                        status:
                          type: string
                          example: sent
                        placed_at:
                          type: string
                          example: '2025-10-23T22:02:48+00:00'
                        sub_total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '3774.00'
                            amount_minor:
                              type: integer
                              example: 377400
                        discount_total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '269.00'
                            amount_minor:
                              type: integer
                              example: 26900
                        tax_total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '206.00'
                            amount_minor:
                              type: integer
                              example: 20600
                        credits_total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '0.00'
                            amount_minor:
                              type: integer
                              example: 0
                        total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '3711.00'
                            amount_minor:
                              type: integer
                              example: 371100
                        total_before_tax:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '0.00'
                            amount_minor:
                              type: integer
                              example: 0
                        invoicable_id:
                          type: string
                          example: 4538d276-3428-3c35-837d-d7f4f1ab8be8
                        invoicable_type:
                          type: string
                          example: order
                    example:
                      - uuid: a13651d4-0940-411c-8935-ac80fc3c3ddd
                        reference: INV845kv
                        status: sent
                        placed_at: '2025-10-23T22:02:48+00:00'
                        sub_total:
                          currency: USD
                          amount: '3774.00'
                          amount_minor: 377400
                        discount_total:
                          currency: USD
                          amount: '269.00'
                          amount_minor: 26900
                        tax_total:
                          currency: USD
                          amount: '206.00'
                          amount_minor: 20600
                        credits_total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        total:
                          currency: USD
                          amount: '3711.00'
                          amount_minor: 371100
                        total_before_tax:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        invoicable_id: 4538d276-3428-3c35-837d-d7f4f1ab8be8
                        invoicable_type: order
                      - uuid: a13651d4-1a4d-4ae5-b715-b06849287976
                        reference: INV292ep
                        status: sent
                        placed_at: '2025-07-16T10:52:43+00:00'
                        sub_total:
                          currency: USD
                          amount: '3665.00'
                          amount_minor: 366500
                        discount_total:
                          currency: USD
                          amount: '876.00'
                          amount_minor: 87600
                        tax_total:
                          currency: USD
                          amount: '885.00'
                          amount_minor: 88500
                        credits_total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        total:
                          currency: USD
                          amount: '3674.00'
                          amount_minor: 367400
                        total_before_tax:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        invoicable_id: 83de5562-bbb2-357b-95cd-2ff24f783d15
                        invoicable_type: order
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 2
                      per_page:
                        type: integer
                        example: 10
                example:
                  data:
                    - uuid: a13651d4-0940-411c-8935-ac80fc3c3ddd
                      reference: INV845kv
                      status: sent
                      placed_at: '2025-10-23T22:02:48+00:00'
                      sub_total:
                        currency: USD
                        amount: '3774.00'
                        amount_minor: 377400
                      discount_total:
                        currency: USD
                        amount: '269.00'
                        amount_minor: 26900
                      tax_total:
                        currency: USD
                        amount: '206.00'
                        amount_minor: 20600
                      credits_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      total:
                        currency: USD
                        amount: '3711.00'
                        amount_minor: 371100
                      total_before_tax:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      invoicable_id: 4538d276-3428-3c35-837d-d7f4f1ab8be8
                      invoicable_type: order
                    - uuid: a13651d4-1a4d-4ae5-b715-b06849287976
                      reference: INV292ep
                      status: sent
                      placed_at: '2025-07-16T10:52:43+00:00'
                      sub_total:
                        currency: USD
                        amount: '3665.00'
                        amount_minor: 366500
                      discount_total:
                        currency: USD
                        amount: '876.00'
                        amount_minor: 87600
                      tax_total:
                        currency: USD
                        amount: '885.00'
                        amount_minor: 88500
                      credits_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      total:
                        currency: USD
                        amount: '3674.00'
                        amount_minor: 367400
                      total_before_tax:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      invoicable_id: 83de5562-bbb2-357b-95cd-2ff24f783d15
                      invoicable_type: order
                  meta:
                    current_page: 1
                    total: 2
                    per_page: 10
              example:
                data:
                  - uuid: a13651d4-0940-411c-8935-ac80fc3c3ddd
                    reference: INV845kv
                    status: sent
                    placed_at: '2025-10-23T22:02:48.0000000+00:00'
                    sub_total:
                      currency: USD
                      amount: '3774.00'
                      amount_minor: 377400
                    discount_total:
                      currency: USD
                      amount: '269.00'
                      amount_minor: 26900
                    tax_total:
                      currency: USD
                      amount: '206.00'
                      amount_minor: 20600
                    credits_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    total:
                      currency: USD
                      amount: '3711.00'
                      amount_minor: 371100
                    total_before_tax:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    invoicable_id: 4538d276-3428-3c35-837d-d7f4f1ab8be8
                    invoicable_type: order
                  - uuid: a13651d4-1a4d-4ae5-b715-b06849287976
                    reference: INV292ep
                    status: sent
                    placed_at: '2025-07-16T10:52:43.0000000+00:00'
                    sub_total:
                      currency: USD
                      amount: '3665.00'
                      amount_minor: 366500
                    discount_total:
                      currency: USD
                      amount: '876.00'
                      amount_minor: 87600
                    tax_total:
                      currency: USD
                      amount: '885.00'
                      amount_minor: 88500
                    credits_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    total:
                      currency: USD
                      amount: '3674.00'
                      amount_minor: 367400
                    total_before_tax:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    invoicable_id: 83de5562-bbb2-357b-95cd-2ff24f783d15
                    invoicable_type: order
                meta:
                  current_page: 1
                  total: 2
                  per_page: 10
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````